System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration represents the different items that can be included in a list control, such as the , , and controls. A typical list control consists of cells that contain elements represented by this enumeration.

Specifies the type of an item in a list control.

- Field
  System.Web.UI.WebControls.ListItemType To be added

  An item in alternating (zero-based even-indexed) cells. It is data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  An item in a list control currently in edit mode. It is data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  A footer for the list control. It is not data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  A header for the list control. It is not data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  An item in the list control. It is data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  A pager that displays the controls to navigate to different pages associated with the control. It is not data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  A selected item in the list control. It is data-bound.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ListItemType To be added

  A separator between items in a list control. It is not data-bound.

  1.0.5000.0
  2.0.0.0